Skip to main content

list_features

List the project's features. Only features with status generated have runnable tests.

Request

GET /api/v1/ops/projects/{project}/features[?status=]
ParameterInTypeRequiredDescription
projectpathstringyesThe project's public id.
statusquerystringnoOnly features with this lifecycle status (e.g. generated).
curl -H "Authorization: Bearer $TESTVIBE_API_KEY" \
"$TESTVIBE_SERVER/api/v1/ops/projects/$PROJECT/features?status=generated"

Response

[
{
"id": 12,
"name": "Login Functionality",
"kind": "feature",
"status": "generated",
"updatedUtc": "2026-06-10T14:32:07Z"
},
{
"id": 15,
"name": "Checkout",
"kind": "feature",
"status": "draft",
"updatedUtc": "2026-06-10T15:01:44Z"
}
]

See Features & the lifecycle for the status values.

Errors

HTTPWhen
404 not_foundNo such project in this workspace.